TouchCommands.Touchz (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.shell, class: TouchCommands, class: Touchz

Package org.apache.hadoop.fs.shell

# Class TouchCommands.Touchz

java.lang.Object
org.apache.hadoop.conf.Configured
org.apache.hadoop.fs.shell.Command
org.apache.hadoop.fs.shell.FsCommand
org.apache.hadoop.fs.shell.TouchCommands
org.apache.hadoop.fs.shell.TouchCommands.Touchz

All Implemented Interfaces:
  `Configurable`

Enclosing class:
  TouchCommands

public static class TouchCommands.Touchz extends TouchCommands
(Re)create zero-length file at the specified path. This will be replaced by a more UNIX-like touch when files may be modified.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.fs.shell.TouchCommands

  `TouchCommands.Touch, TouchCommands.Touchz`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DESCRIPTION`
  `static final String`
  `NAME`
  `static final String`
  `USAGE`

  ### Fields inherited from class org.apache.hadoop.fs.shell.Command

  `args, COMMAND_DESCRIPTION_FIELD, COMMAND_NAME_FIELD, COMMAND_USAGE_FIELD, err, exceptions, exitCode, name, numErrors, out, recursive`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Touchz()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `processNonexistentPath(PathData item)`
  Provides a hook for handling paths that don't exist.
  `protected void`
  `processOptions(LinkedList<String> args)`
  Must be implemented by commands to process the command line flags and check the bounds of the remaining arguments.
  `protected void`
  `processPath(PathData item)`
  Hook for commands to implement an operation to be applied on each path for the command.

  ### Methods inherited from class org.apache.hadoop.fs.shell.TouchCommands

  `registerCommands`

  ### Methods inherited from class org.apache.hadoop.fs.shell.FsCommand

  `getCommandName, processRawArguments, run, runAll`

  ### Methods inherited from class org.apache.hadoop.fs.shell.Command

  `displayError, displayError, displayWarning, exitCodeForError, expandArgument, expandArguments, getCommandFactory, getDepth, getDescription, getListingGroupSize, getName, getReplacementCommand, getUsage, isDeprecated, isPathRecursable, isRecursive, isSorted, postProcessPath, processArgument, processArguments, processPathArgument, processPaths, processPaths, recursePath, run, run, setCommandFactory, setName, setRecursive`

  ### Methods inherited from class org.apache.hadoop.conf.Configured

  `getConf, setConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    See Also:
      - Constant Field Values

  - ### USAGE

    public static final String USAGE
    See Also:
      - Constant Field Values

  - ### DESCRIPTION

    public static final String DESCRIPTION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Touchz

    public Touchz()

- ## Method Details

  - ### processOptions

    protected void processOptions(LinkedList<String> args)
    Description copied from class: `Command`
    Must be implemented by commands to process the command line flags and check the bounds of the remaining arguments. If an IllegalArgumentException is thrown, the FsShell object will print the short usage of the command.
    Overrides:
      `processOptions` in class `Command`
    Parameters:
      `args` - the command line arguments

  - ### processPath

    protected void processPath(PathData item) throws IOException
    Description copied from class: `Command`
    Hook for commands to implement an operation to be applied on each path for the command. Note implementation of this method is optional if earlier methods in the chain handle the operation.
    Overrides:
      `processPath` in class `Command`
    Parameters:
      `item` - a `PathData` object
    Throws:
      `IOException` - if anything else goes wrong in the user-implementation

  - ### processNonexistentPath

    protected void processNonexistentPath(PathData item) throws IOException
    Description copied from class: `Command`
    Provides a hook for handling paths that don't exist. By default it will throw an exception. Primarily overriden by commands that create paths such as mkdir or touch.
    Overrides:
      `processNonexistentPath` in class `Command`
    Parameters:
      `item` - the `PathData` that doesn't exist
    Throws:
      `FileNotFoundException` - if arg is a path and it doesn't exist
      `IOException` - if anything else goes wrong...